=== data/data/CMakeLists.txt ===
INCLUDE(../../cmake/macros.cmake)

SD_INSTALL_FILES(DATA data FILES credits.xml)

ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(img)
ADD_SUBDIRECTORY(menu)
ADD_SUBDIRECTORY(objects)
ADD_SUBDIRECTORY(sound)
ADD_SUBDIRECTORY(sky)
ADD_SUBDIRECTORY(textures)
ADD_SUBDIRECTORY(tracks)
  ADD_SUBDIRECTORY(music)
IF(OPTION_OSGGRAPH)
  ADD_SUBDIRECTORY(shaders)
ENDIF(OPTION_OSGGRAPH)
