=== data/drivers/CMakeLists.txt ===
INCLUDE(../../cmake/macros.cmake)

# Official robots.
SD_ADD_SUBDIRECTORY(human)
SD_ADD_SUBDIRECTORY(networkhuman)

SD_ADD_SUBDIRECTORY(simplix)
SD_ADD_SUBDIRECTORY(simplix_36GP)
SD_ADD_SUBDIRECTORY(simplix_ls1)
SD_ADD_SUBDIRECTORY(simplix_ls2)
SD_ADD_SUBDIRECTORY(simplix_mpa1)
SD_ADD_SUBDIRECTORY(simplix_mpa11)
SD_ADD_SUBDIRECTORY(simplix_mpa12)
SD_ADD_SUBDIRECTORY(simplix_mp5)
SD_ADD_SUBDIRECTORY(simplix_sc)
SD_ADD_SUBDIRECTORY(simplix_srw)
SD_ADD_SUBDIRECTORY(simplix_trb1)

SD_ADD_SUBDIRECTORY(usr_36GP)
SD_ADD_SUBDIRECTORY(usr_ls1)
SD_ADD_SUBDIRECTORY(usr_ls2)
SD_ADD_SUBDIRECTORY(usr_rs)
SD_ADD_SUBDIRECTORY(usr_sc)
SD_ADD_SUBDIRECTORY(usr_trb1)

SD_ADD_SUBDIRECTORY(dandroid_36GP)
SD_ADD_SUBDIRECTORY(dandroid_67GP)
SD_ADD_SUBDIRECTORY(dandroid_ls1)
SD_ADD_SUBDIRECTORY(dandroid_ls2)
SD_ADD_SUBDIRECTORY(dandroid_mpa1)
SD_ADD_SUBDIRECTORY(dandroid_mpa11)
SD_ADD_SUBDIRECTORY(dandroid_mpa12)
SD_ADD_SUBDIRECTORY(dandroid_rs)
SD_ADD_SUBDIRECTORY(dandroid_sc)
SD_ADD_SUBDIRECTORY(dandroid_srw)
SD_ADD_SUBDIRECTORY(dandroid_trb1)


# Work-in-progress / unofficial robots.
IF(NOT OPTION_OFFICIAL_ONLY)
	SD_ADD_SUBDIRECTORY(dandroid_lp1)

	SD_ADD_SUBDIRECTORY(simplix_lp1)
	SD_ADD_SUBDIRECTORY(simplix_ref)
	
	SD_ADD_SUBDIRECTORY(usr_lp1)
	#SD_ADD_SUBDIRECTORY(usr_mpa1)
	SD_ADD_SUBDIRECTORY(usr_mpa11)
	SD_ADD_SUBDIRECTORY(usr_mpa12)
	SD_ADD_SUBDIRECTORY(usr_mp10)
	SD_ADD_SUBDIRECTORY(usr_srw)
	
	SD_ADD_SUBDIRECTORY(shadow_67GP)
	SD_ADD_SUBDIRECTORY(shadow_mpa1)
	SD_ADD_SUBDIRECTORY(shadow_mpa11)
	SD_ADD_SUBDIRECTORY(shadow_mpa12)	
	SD_ADD_SUBDIRECTORY(shadow_sc)
	SD_ADD_SUBDIRECTORY(shadow_srw)

	#SD_ADD_SUBDIRECTORY(bt)
	#SD_ADD_SUBDIRECTORY(hymie)
	#SD_ADD_SUBDIRECTORY(K1999)
	#SD_ADD_SUBDIRECTORY(kilo2008)

	SD_ADD_SUBDIRECTORY(urbanski)
ENDIF()
