=== src/tools/CMakeLists.txt ===
INCLUDE(../../cmake/macros.cmake)

SD_ADD_SUBDIRECTORY(accc)
SD_ADD_SUBDIRECTORY(nfs2ac)
SD_ADD_SUBDIRECTORY(nfsperf)
SD_ADD_SUBDIRECTORY(trackgen)
ADD_SUBDIRECTORY(xmlversion)

IF(NOT OPTION_OFFICIAL_ONLY)
	SD_ADD_SUBDIRECTORY(menuview)
ENDIF(NOT OPTION_OFFICIAL_ONLY)
