=== debian/changelog ===
speed-dreams (2.2.2-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.
  * Create initial desktop file for menu.
  * Move and rename icons.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 20 Oct 2021 14:22:16 -0400

speed-dreams (2.2.2-1~oibaf~h) hirsute; urgency=medium

  * Initial release. (Closes: #599884)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 10 May 2019 12:27:25 +0200
