=== debian/control ===
Source: speed-dreams
Section: games
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libcurl4-gnutls-dev,
 libenet-dev,
 libexpat1-dev,
 libjpeg-dev,
 libogg-dev,
 libopenal-dev,
 libopenscenegraph-dev (>= 3.4),
 libplib-dev,
 libpng-dev,
 libsdl2-dev,
 libvorbis-dev,
 libxmu-dev
Standards-Version: 4.3.0
Homepage: https://www.speed-dreams.org/

Package: speed-dreams
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 speed-dreams-data,
 symlinks,
 ttf-bitstream-vera
Description: Open source motorsport simulation
 This is a 3d cross-platform, open source motorsport simulation and racing
 game. It is a fork of the open racing car simulator Torcs, aiming to implement
 exciting new features, cars, tracks and AI opponents to make a more enjoyable
 game for the player, as well as constantly improving visual and physics
 realism.

Package: speed-dreams-data
Architecture: all
Depends:
 ${misc:Depends}
Description: Open source motorsport simulation, data files
 This is a 3d cross-platform, open source motorsport simulation and racing
 game. It is a fork of the open racing car simulator Torcs, aiming to implement
 exciting new features, cars, tracks and AI opponents to make a more enjoyable
 game for the player, as well as constantly improving visual and physics
 realism.
 .
 This package contains the data files needed to play Speed Dreams.
