=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_build:
	# create symlink
	#ln -s /usr/share/fonts/truetype/dseg/DSEG7Modern-Regular.ttf platform/qt/Fonts/
	#symlinks -c platform/qt/Fonts/
	@echo auto build

override_dh_auto_clean:
	# delete symlink
	#rm -rf platform/qt/Fonts/DSEG7Modern-Regular.ttf
	rm -rf obj-*
	@echo auto clean
